// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneItemComponent.hpp"
#include "scene/components/physics/2d/TriggerController2D.hpp"

namespace Dawn {
  class EntityInteractable : public SceneItemComponent {
    public:
      EntityInteractable(SceneItem *item);

      /**
       * Called when one entity interacts with this entity.
       */
      void interact();
  };
}